[package]
name = "phreak_facts"
version = "0.1.5"
authors = ["Barry van Acker <barry.van.acker@rubix.nl>"]
description = "Rule matching algorithm focussed on speed"
repository = "https://gitlab.com/barry.van.acker/phreak-rs"
readme = "README.md"
license = "GPL-3.0-or-later"
categories = ["algorithms"]
edition = "2018"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
generational-arena = "0.2"
serde = { version = "1.0", features = ["rc", "derive"] }
uuid = { version = "0.8", features = ["serde", "v4"] }
chrono = { version = "0.4", features = ["serde"] }
smallvec = { version="1.4", features = [ "serde","union" ] }
smallstr = { version="0.2", features = [ "serde","union" ] }

[dev-dependencies]
test-case = "1.0.0"

[badges]
maintenance = { status = "experimental" }
